Priročnik za KDE su
Nazaj |  | Naprej

# Poglavje 3. Uporaba KDE su

Uporaba KDE su je preprosta. Skladnja izgleda takole:

kdesu [USER] [-n] [-t] [-q] [-d] [-f `FILE`] [-c [ `COMMAND` [`ARG1`] [`ARG2`] [``...] ] ]

kdesu [-v | -h | -s]

Možnosti ukazne vrstice so razložene spodaj.

`-c `PROGRAM``

  To določa, da program teče kot root. Podan mora biti v enem argumentu. Če torej želite pognati nov datotečni upravljalnik morate v lupini vtipkati: `kdesu `-c `kfm -sw```

`-f `FILE``

  Ta možnost omogoča učinkovito uporabo KDE su v `.desktop` datotekah. KDE su namreč pove, da mora pregledati datoteko določeno z `FILE`. Če lahko to datoteko zapiše trenutni uporabnik bo KDE su izvedel ukaz kot trenutni uporabnik. Če pa ni zapisljiva, je ukaz izveden kot uporabnik `USER` (privzeto kot root).

  `FILE` se obravnava takole: če se `FILE` (ime datoteke) prične z "/", je obravnavano kot absolutno ime datoteke. Drugače pa je vzeto kot ime globalne KDE nastavitvene datoteke. Naj podam primer: da nastavite K display manager, kdm, bi lahko uporabili kdesu `-c kdmconfig -f kdmrc`

`-t`

  Omogoči terminalski izhod. To onemogoči shranjevanje gesel. Uporabno je predvsem za razhroščevanje; če želite poganjati program v konzolnem načinu, uporabite običajni "su".

`-n`

  Ne shrani gesla. To onemogoči potrditveno polje "keep password" v pogovornem oknu gesel.

`-q`

  Bodi tiho.

`-d`

  Prikaži informacije za razhroščevanje.

`-v`

  Izpiši informacijo o različici in končaj.

`-h`

  Izpiši nekaj pomoči.

`-s`

  Ustavi kdesu daemona. Poglejte v Razdelek 5.4.

Nazaj | Domov | Naprej
Prevajanje |  | Nastavitev